Package: org.gradle.plugins.javascript.rhino.worker

## [Java] Class RhinoWorkerSpec<R, P>

- org.gradle.plugins.javascript.rhino.worker.RhinoWorkerSpec

- All Implemented Interfaces and Traits:
    Serializable

      public class RhinoWorkerSpec
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RhinoWorkerSpec (Class<R> resultType, Class<P> payloadType, Class<? extends RhinoWorker<R, P>> workerType)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Class<P>` | `getPayloadType()`
    `Class<R>` | `getResultType()`
    `Class<? extends RhinoWorker<R, P>>` | `getWorkerType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public RhinoWorkerSpec(Class<R> resultType, Class<P> payloadType, Class<? extends RhinoWorker<R, P>> workerType)

  - ### Method Detail

    - #### public Class<P> getPayloadType()

    - #### public Class<R> getResultType()

    - #### public Class<? extends RhinoWorker<R, P>> getWorkerType()